package com.buy507.mall.portal.service;

import java.util.List;

import com.buy507.mall.portal.domain.OmsOrderReturnApplyParam;
import com.buy507.mall.portal.domain.OrderReturnResult;

/**
 * 订单退货管理Service
 */
public interface OmsPortalOrderReturnService {
    /**
     * 提交申请
     */
    int create(OmsOrderReturnApplyParam returnApply);
    
    /**
     * 获取退货原因
     * @return
     */
    List<String> getReturnReason();
    
    /**
     * 获取会员退货订单列表信息
     * @return
     */
    List<OrderReturnResult> getMemberOrderReturnList(Integer pageSize, Integer pageNum);
    
    /**
     * 获取会员退货订单详细信息
     * @param orderReturnId
     * @return
     */
    OrderReturnResult getMemberOrderReturnDetailInfo(Long orderReturnId);
}
